/* Mobile & tablet <= 1023px*/
@media (max-width: 63.9375em) {
  .hide-on-mobile-tablet {
    display: none;
  }

  .header {
    position: fixed;
    z-index: 10;
    top: 0;
    right: 0;
    left: 0;
  }

  .header__cart-list {
    position: fixed;
    top: var(--header-height);
    width: 100%;
    padding: 0 calc((100% - 644px) / 2);
  }

  .header__cart-list::before {
    display: none;
  }

  .app__container {
    margin-top: calc(var(--header-height) + var(--header-sort-bar-height));
  }

  .app__content {
    padding-top: 8px;
  }

  .header__sort-bar {
    display: flex;
  }

  .mobile-category {
    display: block;
  }
}

/* tablet 740px >= và <= 1023px*/
@media (min-width: 46.25em) and (max-width: 63.9375em) {
  :root {
    --header-height: 68px;
    --navbar-height: 0px;
  }

  .hide-on-tablet {
    display: none;
  }

  .header__cart {
    width: 80px;
    text-align: right;
  }

  .footer-pay-item {
    width: 60px;
    height: 28px;
    margin: 0px 7px 6px 0px;
  }
}

/* Mobile <= 739px */
@media (max-width: 46.1875em) {
  :root {
    --header-height: 54px;
    --navbar-height: 0px;
  }

  .hide-on-mobile {
    display: none;
  }

  .header-with-search {
    justify-content: space-between;
    padding: 0px 12px;
    margin: 0;
  }

  .header__cart,
  .header__logo {
    width: unset;
  }

  .header__logo-link {
    display: block;
    line-height: 0;
  }

  .header__search {
    display: none;
    position: fixed;
    top: var(--header-height);
    left: 0;
    right: 0;
    z-index: 1;
    height: 46px;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    padding: 0 16px;
    animation: mobileSearchSideIn linear 0.3s;
  }

  @keyframes mobileSearchSideIn {
    from {
      opacity: 0;
      height: 0;
    }
    to {
      opacity: 1;
      height: 46px;
    }
  }

  .header__search-checkbox:checked ~ .header__search {
    display: flex;
  }

  .header__search-history {
    position: fixed;
    width: 100%;
    top: calc(var(--header-height)+var(--header-sort-bar-height));
    left: 0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
  }

  .pagination-item {
    margin: 0 2px;
  }

  .pagination-item__link {
    min-width: 32px;
    font-size: 1.4rem;
    --height: 28px;
  }

  .app__content {
    margin: 0 4px;
  }

  .header__mobile-search {
    display: block;
  }

  .header__logo-img {
    width: 110px;
  }

  .footer__content {
    padding: 0px 16px;
  }

  .footer-pay-item {
    width: 54px;
    height: 26px;
    margin: 0px 6px 6px 0px;
  }

  .footer__heading {
    text-align: center;
  }

  .footer__download,
  .footer-pay,
  .footer-item__link {
    justify-content: center;
  }

  .footer__download-apps {
    flex: unset;
  }

  .footer__download-app-link {
    width: 80px;
  }

  .header__mobile-nav {
    display: block;
  }
}
